Application: gvSIG desktop - gvSIG bugs #5607
Da error al exportar un SHP Multipolygon 3DM a Multipolygon 2D
03/30/2021 04:34 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.6.0-3328

Severity: Major Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando exportamos un SHP Multipolygon 3DM (descargado del ICV) a Multipolygon 2D crea la capa con todos los registros, pero
todos los campos, incluido el GEOMETRY se quedan vacios. No tiene geometria, y da error a partir de ese momento al cargar la
capa.

Adjunto la capa y el log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5608: Al copiar geometri... Closed 03/30/2021

History

#1 - 03/30/2021 04:54 PM - Joaquin del Cerro Murciano

El proceso de exportacion no altera los datos, si quires convertir el valor de alguna columna (y la geometria es una columna mas), tendras que usar
algun geoproceso o exportar desde la ficha de busqueda aplicando la transformacion que quieras en ella.
Al seleccionar el tipo de geometria del destino solo indicas como debe declararse esa columna, luego los datos deben ser de ese tipo.

#2 - 03/30/2021 04:54 PM - Mario Carrera
- Related to gvSIG bugs #5608: Al copiar geometrias de una capa 3DM a otra 2D no da error pero deja la capa rota added

#3 - 08/03/2023 11:05 AM - Francisco Diaz Carsi

- Target version changed from 2.6.1-final to 2.6.0-3328
- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed

Con las correcciones del tique #5608 parece que esto se ha solucionado.

#4 - 08/03/2023 02:18 PM - Alvaro Anguix
- Status changed from Fixed to Closed
gvSIG.log 96.9 KB 03/30/2021 Mario Carrera
gvSIG.log.1 512 KB 03/30/2021 Mario Carrera
descargada_ICV_3D.zip 271 KB 03/30/2021 Mario Carrera
